After upgrading clients to Mac OS X v10.11.x, Commvault services fail to start

Article ID: MAC0001 After upgrading clients to Mac OS X v10.11.x, Commvault services fail to start

Symptom

Commvault services fail to start after upgrading the clients to Mac OS X v10.11.x, and report the following output after running the simpana list command:

+--------------+-----+---------------------------------------+
| Service      | PID | Service Command
+--------------+------+--------------------------------------+
| cvlaunchd    | N/A | /opt/simpana/Base/cvlaunchd 
+--------------+------+--------------------------------------+
| cvd          | N/A | /opt/simpana/Base/cvd 

Cause

By default, Commvault Version 10 Service Pack 11 or earlier does not support Mac OS X v10.11.x.  

Resolution

Solution A

If your CommServe is at Service Pack 12, and your Mac client is ready for the Service Pack 12 installation, do the following:  

  1. Install Service Pack 12 on the client interactively.
  2. Verify that services are up and running.

Solution B

If your Mac client is at Service Pack 11 and is not ready for Service Pack 12 installation, do the following:

  1. Download SP11-HotFix 1 RpmChownFix dwn-x86 and extract the tar file.
  2. Run cd <extraction_path>/cd_update.
  3. Run sudo ./InstallUpdates.
  4. Type No to not start services.
  5. Press Ctrl-C at the end when it says “done”.
  6. Download SP11-HotFix 49 OSX1011SupportOnV10SP11 dwn-x86 and extract the tar file.
  7. Copy the extraction_path/cd_update/darwin/Base0/install.gz file to the /tmp directory on your client.
  8. Install SP11-HotFix 49 OSX1011SupportOnV10SP11 dwn-x86 on the client interactively:
    • Run cd <extraction_path>/cd_update.
    • Run sudo ./InstallUpdates.
  9. Verify that services are up and running.

Solution C

If your Mac client is at Service Pack 10 and is not ready for the Service Pack 12 installation, do the following:

  1. Download SP10-HotFix 74 OSX1011SupportOnV10SP10 dwn-x86 and extract the tar file.
  2. Copy the extraction_path/cd_update/darwin/Base0/install.gz file to the /tmp directory on your client.
  3. Install SP10-HotFix-74 on the client interactively:
    • Run cd <extraction_path>/cd_update.
    • Run sudo ./InstallUpdates.
  4. Verify that services are up and running.

Solution D

If your Mac client is at an earlier Service Pack level than Service Pack 10, Mac OS X v10.11.x is not supported. Do the following:

  1. Install Service Pack 10, 11, or 12 on the client interactively (depending on the Service Pack installed on your CommServe).
  2. Follow the steps listed under Solution A, Solution B, and Solution C to install the required hot fixes for the Service Pack level that you installed on your client. 
  3. Verify that services are up and running.